TS_CONF_GET(3)

NAME
ts_conf_set - write a new TSLIB_CONFFILE config file and reload it.

SYNOPSIS
#include <tslib.h>

int ts_conf_set(struct ts_module_conf *conf);

DESCRIPTION
ts_conf_set() This function takes a pointer to a struct ts_module_conf. It reads data from all linked structs in the list (next and prev pointers) and writes a new TSLIB_CONFFILE. The first struct in the list (where prev is NULL) is the first line and so on. After writing, ts_reconfig() has to be called so the new modules and parameters are reloaded and applied to the currently running program.

The given set of ts_module_conf structs is freed and destroyed here. After calling ts_conf_set() one has to use ts_conf_get() again, for a different change.

struct ts_module_conf {
	char *name;
	char *params;
	int raw;
	int nr;

	struct ts_module_conf *next;
	struct ts_module_conf *prev;
};

RETURN VALUE
This function returns zero on success and a negative integer on failure.

SEE ALSO
ts_conf_get(3), ts_config(3), ts.conf(5)